aboutsummaryrefslogtreecommitdiffstats
path: root/target/linux/omap24xx/base-files/etc
diff options
context:
space:
mode:
Diffstat (limited to 'target/linux/omap24xx/base-files/etc')
-rw-r--r--target/linux/omap24xx/base-files/etc/config/fstab13
-rw-r--r--target/linux/omap24xx/base-files/etc/config/network15
-rw-r--r--target/linux/omap24xx/base-files/etc/config/wireless20
-rw-r--r--target/linux/omap24xx/base-files/etc/hotplug.d/firmware/10-bme-pmm-image15
-rw-r--r--target/linux/omap24xx/base-files/etc/hotplug.d/firmware/20-p54spi-eeprom30
-rwxr-xr-xtarget/linux/omap24xx/base-files/etc/init.d/watchdog17
-rw-r--r--target/linux/omap24xx/base-files/etc/inittab5
-rw-r--r--target/linux/omap24xx/base-files/etc/pointercal1
8 files changed, 116 insertions, 0 deletions
diff --git a/target/linux/omap24xx/base-files/etc/config/fstab b/target/linux/omap24xx/base-files/etc/config/fstab
new file mode 100644
index 000000000..0910277b2
--- /dev/null
+++ b/target/linux/omap24xx/base-files/etc/config/fstab
@@ -0,0 +1,13 @@
+config mount
+ option target /maemo/initfs
+ option device /dev/mtdblock3
+ option fstype jffs2
+ option options rw,noatime
+ option enabled 0
+
+config mount
+ option target /maemo/rootfs
+ option device /dev/mtdblock4
+ option fstype jffs2
+ option options rw,noatime
+ option enabled 0
diff --git a/target/linux/omap24xx/base-files/etc/config/network b/target/linux/omap24xx/base-files/etc/config/network
new file mode 100644
index 000000000..8207443f3
--- /dev/null
+++ b/target/linux/omap24xx/base-files/etc/config/network
@@ -0,0 +1,15 @@
+config interface loopback
+ option ifname lo
+ option proto static
+ option netmask 255.0.0.0
+
+config interface lan
+ option proto dhcp
+ option netmask 255.255.255.0
+
+config interface usb
+ option ifname usb0
+ option proto static
+ option ipaddr 192.168.168.168
+ option netmask 255.255.255.0
+ option ip6addr fe80::810:1
diff --git a/target/linux/omap24xx/base-files/etc/config/wireless b/target/linux/omap24xx/base-files/etc/config/wireless
new file mode 100644
index 000000000..b640ce6c2
--- /dev/null
+++ b/target/linux/omap24xx/base-files/etc/config/wireless
@@ -0,0 +1,20 @@
+config wifi-device radio0
+ option type mac80211
+ option phy phy0
+ option channel auto
+ # TODO: CHANGE THE MAC-ADDRESS:
+ option macaddr 00:11:22:33:44:55
+ option hwmode 11g
+# option country DE
+
+ # REMOVE THIS LINE TO ENABLE WIFI:
+ option disabled 1
+
+config wifi-iface
+ option device radio0
+ option powersave 1
+ option network lan
+ option mode sta
+ option ssid OpenWrt
+# option encryption psk2
+# option key "foobar"
diff --git a/target/linux/omap24xx/base-files/etc/hotplug.d/firmware/10-bme-pmm-image b/target/linux/omap24xx/base-files/etc/hotplug.d/firmware/10-bme-pmm-image
new file mode 100644
index 000000000..d03c9dee0
--- /dev/null
+++ b/target/linux/omap24xx/base-files/etc/hotplug.d/firmware/10-bme-pmm-image
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+n810_cal_bme_pmm_extract() {
+ [ -x /usr/bin/calvaria ] && {
+ /usr/bin/calvaria -p -n bme -i last /dev/mtdblock1 >/lib/firmware/n810-cal-bme-pmm.fw ||\
+ echo "CAL-BME extract: Failed to extract blob"
+ }
+}
+
+[ "$FIRMWARE" = "n810-cal-bme-pmm.fw" ] && {
+ [ -z "$(grep -e 'Nokia N810' /proc/cpuinfo)" ] || {
+ [ -e /lib/firmware/n810-cal-bme-pmm.fw ] ||\
+ n810_cal_bme_pmm_extract
+ }
+}
diff --git a/target/linux/omap24xx/base-files/etc/hotplug.d/firmware/20-p54spi-eeprom b/target/linux/omap24xx/base-files/etc/hotplug.d/firmware/20-p54spi-eeprom
new file mode 100644
index 000000000..ca92f80be
--- /dev/null
+++ b/target/linux/omap24xx/base-files/etc/hotplug.d/firmware/20-p54spi-eeprom
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+p54spi_eeprom_clean() {
+ rm -f /tmp/wlan-iq-align /tmp/wlan-tx-gen2
+}
+
+p54spi_eeprom_die() {
+ echo "$*"
+ p54spi_eeprom_clean
+ exit 1
+}
+
+p54spi_eeprom_extract() {
+ [ -x /usr/bin/calvaria -a -x /usr/bin/cal2p54 ] && {
+ /usr/bin/calvaria -p -n wlan-iq-align -i last /dev/mtdblock1 >/tmp/wlan-iq-align ||\
+ p54spi_eeprom_die "p54spi EEPROM: Failed to extract wlan-iq-align"
+ /usr/bin/calvaria -p -n wlan-tx-gen2 -i last /dev/mtdblock1 >/tmp/wlan-tx-gen2 ||\
+ p54spi_eeprom_die "p54spi EEPROM: Failed to extract wlan-tx-gen2"
+ /usr/bin/cal2p54 /tmp/wlan-tx-gen2 /tmp/wlan-iq-align >/lib/firmware/3826.eeprom ||\
+ p54spi_eeprom_die "p54spi EEPROM: Failed to generate EEPROM"
+ p54spi_eeprom_clean
+ }
+}
+
+[ "$FIRMWARE" = "3826.eeprom" ] && {
+ [ -z "$(grep -e 'Nokia N810' /proc/cpuinfo)" ] || {
+ [ -e /lib/firmware/3826.eeprom ] ||\
+ p54spi_eeprom_extract
+ }
+}
diff --git a/target/linux/omap24xx/base-files/etc/init.d/watchdog b/target/linux/omap24xx/base-files/etc/init.d/watchdog
new file mode 100755
index 000000000..0d042c64e
--- /dev/null
+++ b/target/linux/omap24xx/base-files/etc/init.d/watchdog
@@ -0,0 +1,17 @@
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2008-2010 OpenWrt.org
+
+START=25
+
+start() {
+ [ -c /dev/watchdog -a -x /sbin/watchdog ] || {
+ echo "WARNING: Watchdog not available. System will reboot soon!"
+ return 1
+ }
+ /sbin/watchdog -T 63 -t 50 /dev/watchdog
+ [ -x /usr/bin/schedtool ] && /usr/bin/schedtool -R -p 60 -n -20 $(pidof watchdog)
+}
+
+stop() {
+ killall -q watchdog
+}
diff --git a/target/linux/omap24xx/base-files/etc/inittab b/target/linux/omap24xx/base-files/etc/inittab
new file mode 100644
index 000000000..1360dc9e2
--- /dev/null
+++ b/target/linux/omap24xx/base-files/etc/inittab
@@ -0,0 +1,5 @@
+::sysinit:/etc/init.d/rcS S boot
+::shutdown:/etc/init.d/rcS K shutdown
+tts/0::askfirst:/bin/ash --login
+ttyO2::askfirst:/bin/ash --login
+tty1::askfirst:/bin/ash --login
diff --git a/target/linux/omap24xx/base-files/etc/pointercal b/target/linux/omap24xx/base-files/etc/pointercal
new file mode 100644
index 000000000..eba5ab6aa
--- /dev/null
+++ b/target/linux/omap24xx/base-files/etc/pointercal
@@ -0,0 +1 @@
+14706 -12 -3754952 36 -9898 35656000 65536